Index: /trunk/SophyaLib/HiStats/histinit.cc
===================================================================
--- /trunk/SophyaLib/HiStats/histinit.cc	(revision 3571)
+++ /trunk/SophyaLib/HiStats/histinit.cc	(revision 3572)
@@ -12,5 +12,4 @@
 #include "hist2err.h"
 #include "ntuple.h"
-#include "xntuple.h"
 #include "datatable.h"
 #include "swppfdtable.h"
@@ -39,5 +38,4 @@
   - Histo2DErr
   - NTuple
-  - XNTuple
   - DataTable
   - SwPPFDataTable
@@ -70,6 +68,4 @@
   PPRegister(ObjFileIO<NTuple>);
   DObjRegister(ObjFileIO<NTuple>, NTuple);
-  PPRegister(ObjFileIO<XNTuple>);
-  DObjRegister(ObjFileIO<XNTuple>, XNTuple);
 
   PPRegister(ObjFileIO<BaseDataTable>);
Index: /trunk/SophyaLib/HiStats/histos.cc
===================================================================
--- /trunk/SophyaLib/HiStats/histos.cc	(revision 3571)
+++ /trunk/SophyaLib/HiStats/histos.cc	(revision 3572)
@@ -1550,5 +1550,5 @@
 
 // Ecriture entete pour identifier facilement
-sprintf(strg,"V_2 mBins=%6d  NEnt=%15d  errok=%1d",dobj->mBins,dobj->nEntries,errok);
+sprintf(strg,"V_2 mBins=%6d  NEnt=%15llu  errok=%1d",dobj->mBins,dobj->nEntries,errok);
 os.PutLine(strg);
 sprintf(strg,"binw=%g  mMin=%g mMax=%g",dobj->binWidth,dobj->mMin,dobj->mMax);
Index: /trunk/SophyaLib/HiStats/ntuple.cc
===================================================================
--- /trunk/SophyaLib/HiStats/ntuple.cc	(revision 3571)
+++ /trunk/SophyaLib/HiStats/ntuple.cc	(revision 3572)
@@ -26,5 +26,5 @@
    #include "ntuple.h"
    // ...
-   char * names[3] = {"XPos", "YPos", "Val"};
+   const char * names[3] = {"XPos", "YPos", "Val"};
    // NTuple (Table) creation with 3 columns (double precision)
    NTuple  nt(3, names);
@@ -73,8 +73,8 @@
 
 
-//! Constructor with specification of number of columns and column name
+//! Constructor with specification of number of columns and column names
 /*!
   \param nvar : Number of columns in the table 
-  \param noms : Array of column names (length(name) < 8 characters) 
+  \param noms : Array of column names
   \param blk : Optional argument specifying number of table lines
   in a given data block
@@ -90,33 +90,35 @@
 //--
 {
-mNVar = mNEnt = mBlk = mNBlk = 0;
-mVar = NULL;
-mVarD = NULL;
-mInfo = NULL;
-mThS = NULL; 
-if (nvar <= 0)  throw ParmError("NTuple::NTuple(nvar<=0) "); 
-mNVar = nvar;
-mVar = new r_4[nvar];
-mVarD = new r_8[nvar];
-if (blk < 10) blk = 10;
-mBlk = blk;
-
-if (fgdouble) {
-  r_8* pt = new r_8[nvar*blk];
-  mNBlk = 1;
-  mPtrD.push_back(pt);
-  mFgDouble = true;
-}
-else { 
-  r_4* pt = new r_4[nvar*blk];
-  mNBlk = 1;
-  mPtr.push_back(pt);
-  mFgDouble = false;
-}
+if (nvar <= 0)  throw ParmError("NTuple::NTuple(nvar<=0) with char** noms"); 
+Initialize(nvar,blk,fgdouble);
 for(int i=0; i<nvar; i++) mNames.push_back(noms[i]);
 return;
 }
 
-//! Constructor with specification of number of columns and column name
+
+//! Constructor with specification of number of columns and column names
+/*!
+  \param nvar : Number of columns in the table 
+  \param noms : Array of column names
+  \param blk : Optional argument specifying number of table lines
+  in a given data block
+  \param fgdouble : if \b true: internal data kept as double precision values (r_8),
+  simple precision (r_4) otherwise
+ */
+//++
+NTuple::NTuple(int nvar, const char** noms, int blk, bool fgdouble)
+//
+//	Createur d'un ntuple de `nvar' variables dont les
+//	noms sont dans le tableau de chaines de caracteres `noms'
+//	avec `blk' d'evenements par blocks.
+//--
+{
+if (nvar <= 0)  throw ParmError("NTuple::NTuple(nvar<=0) with const char** noms"); 
+Initialize(nvar,blk,fgdouble);
+for(int i=0; i<nvar; i++) mNames.push_back(noms[i]);
+return;
+}
+
+//! Constructor with specification of number of columns and column names as a string vector
 /*!
   \param noms : Array of column names (length(name) < 8 characters) 
@@ -128,4 +130,16 @@
 NTuple::NTuple(vector<string>& noms, int blk, bool fgdouble)
 {
+int nvar = noms.size();
+if (nvar <= 0)  throw ParmError("NTuple::NTuple(nvar<=0) with vector<string>& noms");
+Initialize(nvar,blk,fgdouble);
+for(int i=0; i<nvar; i++) mNames.push_back(noms[i]);
+return;
+}
+
+
+/* --Methode-- */
+/* Initialisation pour Createurs (fonction privee) */
+void NTuple::Initialize(int nvar, int blk, bool fgdouble)
+{
 mNVar = mNEnt = mBlk = mNBlk = 0;
 mVar = NULL;
@@ -133,6 +147,4 @@
 mInfo = NULL;
 mThS = NULL; 
-int nvar = noms.size();
-if (nvar <= 0)  throw ParmError("NTuple::NTuple(nvar<=0) "); 
 mNVar = nvar;
 mVar = new r_4[nvar];
@@ -153,5 +165,5 @@
   mFgDouble = false;
 }
-for(int i=0; i<nvar; i++) mNames.push_back(noms[i]);
+
 return;
 }
@@ -206,4 +218,5 @@
 Clean();
 }
+
 /* --Methode-- */ 
 /*!
@@ -494,5 +507,5 @@
 //--
 {
-char * tt = "float"; 
+const char * tt = "float"; 
 if (mFgDouble) tt = "double";
 os << "NTuple T=" << tt << " : NVar= " << mNVar << " NEnt=" << mNEnt  
Index: /trunk/SophyaLib/HiStats/ntuple.h
===================================================================
--- /trunk/SophyaLib/HiStats/ntuple.h	(revision 3571)
+++ /trunk/SophyaLib/HiStats/ntuple.h	(revision 3572)
@@ -30,4 +30,5 @@
   NTuple();
   NTuple(int nvar, char** noms, int blk=512, bool fgdouble=true);
+  NTuple(int nvar, const char** noms, int blk=512, bool fgdouble=true);
   NTuple(vector<string>& noms, int blk=512, bool fgdouble=true);
   NTuple(const NTuple& NT);
@@ -96,4 +97,5 @@
 
 private:
+  void Initialize(int nvar, int blk, bool fgdouble);
   void  Clean();
 
Index: /trunk/SophyaLib/HiStats/objlist.list
===================================================================
--- /trunk/SophyaLib/HiStats/objlist.list	(revision 3571)
+++ /trunk/SophyaLib/HiStats/objlist.list	(revision 3572)
@@ -12,3 +12,2 @@
 proxtuple.o
 swppfdtable.o
-xntuple.o
Index: /trunk/SophyaLib/HiStats/smakefile
===================================================================
--- /trunk/SophyaLib/HiStats/smakefile	(revision 3571)
+++ /trunk/SophyaLib/HiStats/smakefile	(revision 3572)
@@ -4,8 +4,8 @@
  
 clean:
-	 rm -f $(SOPHYAOBJP)basedtable.o $(SOPHYAOBJP)datatable.o $(SOPHYAOBJP)fio_dtable.o $(SOPHYAOBJP)hisprof.o $(SOPHYAOBJP)hist2err.o $(SOPHYAOBJP)histerr.o $(SOPHYAOBJP)histinit.o $(SOPHYAOBJP)histos.o $(SOPHYAOBJP)histos2.o $(SOPHYAOBJP)ntupintf.o $(SOPHYAOBJP)ntuple.o $(SOPHYAOBJP)proxtuple.o $(SOPHYAOBJP)swppfdtable.o $(SOPHYAOBJP)xntuple.o
+	 rm -f $(SOPHYAOBJP)basedtable.o $(SOPHYAOBJP)datatable.o $(SOPHYAOBJP)fio_dtable.o $(SOPHYAOBJP)hisprof.o $(SOPHYAOBJP)hist2err.o $(SOPHYAOBJP)histerr.o $(SOPHYAOBJP)histinit.o $(SOPHYAOBJP)histos.o $(SOPHYAOBJP)histos2.o $(SOPHYAOBJP)ntupintf.o $(SOPHYAOBJP)ntuple.o $(SOPHYAOBJP)proxtuple.o $(SOPHYAOBJP)swppfdtable.o
 	rm -f $(SOPHYALIBP)libHiStats.a
  
-$(SOPHYALIBP)libHiStats.a : $(SOPHYAOBJP)basedtable.o $(SOPHYAOBJP)datatable.o $(SOPHYAOBJP)fio_dtable.o $(SOPHYAOBJP)hisprof.o $(SOPHYAOBJP)hist2err.o $(SOPHYAOBJP)histerr.o $(SOPHYAOBJP)histinit.o $(SOPHYAOBJP)histos2.o $(SOPHYAOBJP)histos.o $(SOPHYAOBJP)ntupintf.o $(SOPHYAOBJP)ntuple.o $(SOPHYAOBJP)proxtuple.o $(SOPHYAOBJP)swppfdtable.o $(SOPHYAOBJP)xntuple.o
+$(SOPHYALIBP)libHiStats.a : $(SOPHYAOBJP)basedtable.o $(SOPHYAOBJP)datatable.o $(SOPHYAOBJP)fio_dtable.o $(SOPHYAOBJP)hisprof.o $(SOPHYAOBJP)hist2err.o $(SOPHYAOBJP)histerr.o $(SOPHYAOBJP)histinit.o $(SOPHYAOBJP)histos2.o $(SOPHYAOBJP)histos.o $(SOPHYAOBJP)ntupintf.o $(SOPHYAOBJP)ntuple.o $(SOPHYAOBJP)proxtuple.o $(SOPHYAOBJP)swppfdtable.o
 	$(AR) $(ARFLAGS) $@ $? 
 	touch $(SOPHYAINCP)/SophyaConfInfo/libsophya.objlist
@@ -228,7 +228,6 @@
   $(SOPHYAINCP)utils.h hisprof.h histerr.h \
   hist2err.h $(SOPHYAINCP)tmatrix.h ntuple.h \
-  ntupintf.h $(SOPHYAINCP)dvlist.h xntuple.h \
-  datatable.h basedtable.h \
-  $(SOPHYAINCP)segdatablock.h \
+  ntupintf.h $(SOPHYAINCP)dvlist.h datatable.h \
+  basedtable.h $(SOPHYAINCP)segdatablock.h \
   $(SOPHYAINCP)thsafeop.h swppfdtable.h \
   $(SOPHYAINCP)swsegdb.h \
@@ -384,20 +383,2 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  swppfdtable.cc
  
-$(SOPHYAOBJP)xntuple.o: xntuple.cc $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)perrors.h xntuple.h \
-  $(SOPHYAINCP)machdefs.h ntupintf.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  xntuple.cc
- 
Index: /trunk/SophyaLib/NTools/Makefile
===================================================================
--- /trunk/SophyaLib/NTools/Makefile	(revision 3571)
+++ /trunk/SophyaLib/NTools/Makefile	(revision 3572)
@@ -4,8 +4,8 @@
  
 clean:
-	 rm -f $(SOPHYAOBJP)FSAppIrrSmpl.o $(SOPHYAOBJP)cimage.o $(SOPHYAOBJP)cspline.o $(SOPHYAOBJP)datatypes.o $(SOPHYAOBJP)dates.o $(SOPHYAOBJP)difeq.o $(SOPHYAOBJP)dynccd.o $(SOPHYAOBJP)fct1dfit.o $(SOPHYAOBJP)fct2dfit.o $(SOPHYAOBJP)fftmserver.o $(SOPHYAOBJP)fftpserver.o $(SOPHYAOBJP)fftservintf.o $(SOPHYAOBJP)functab.o $(SOPHYAOBJP)generaldata.o $(SOPHYAOBJP)generalfit.o $(SOPHYAOBJP)generalfunc.o $(SOPHYAOBJP)imageop.o $(SOPHYAOBJP)integ.o $(SOPHYAOBJP)median.o $(SOPHYAOBJP)ntoolsinit.o $(SOPHYAOBJP)objfitter.o $(SOPHYAOBJP)perandom.o $(SOPHYAOBJP)poly.o $(SOPHYAOBJP)rk4cdifeq.o $(SOPHYAOBJP)simplesort.o $(SOPHYAOBJP)simplex.o $(SOPHYAOBJP)tabmath.o $(SOPHYAOBJP)toeplitzMatrix.o $(SOPHYAOBJP)datime.o $(SOPHYAOBJP)fftmayer_r4.o $(SOPHYAOBJP)fftmayer_r8.o $(SOPHYAOBJP)fftpackc.o $(SOPHYAOBJP)matxop.o $(SOPHYAOBJP)nbmath.o $(SOPHYAOBJP)nbtri.o
+	 rm -f $(SOPHYAOBJP)FSAppIrrSmpl.o $(SOPHYAOBJP)cimage.o $(SOPHYAOBJP)cspline.o $(SOPHYAOBJP)datatypes.o $(SOPHYAOBJP)dates.o $(SOPHYAOBJP)difeq.o $(SOPHYAOBJP)dynccd.o $(SOPHYAOBJP)fct1dfit.o $(SOPHYAOBJP)fct2dfit.o $(SOPHYAOBJP)fftmserver.o $(SOPHYAOBJP)fftpserver.o $(SOPHYAOBJP)fftservintf.o $(SOPHYAOBJP)functab.o $(SOPHYAOBJP)generaldata.o $(SOPHYAOBJP)generalfit.o $(SOPHYAOBJP)generalfunc.o $(SOPHYAOBJP)imageop.o $(SOPHYAOBJP)integ.o $(SOPHYAOBJP)median.o $(SOPHYAOBJP)ntoolsinit.o $(SOPHYAOBJP)objfitter.o $(SOPHYAOBJP)perandom.o $(SOPHYAOBJP)poly.o $(SOPHYAOBJP)rk4cdifeq.o $(SOPHYAOBJP)simplesort.o $(SOPHYAOBJP)simplex.o $(SOPHYAOBJP)slinparbuff.o $(SOPHYAOBJP)tabmath.o $(SOPHYAOBJP)toeplitzMatrix.o $(SOPHYAOBJP)datime.o $(SOPHYAOBJP)fftmayer_r4.o $(SOPHYAOBJP)fftmayer_r8.o $(SOPHYAOBJP)fftpackc.o $(SOPHYAOBJP)matxop.o $(SOPHYAOBJP)nbmath.o $(SOPHYAOBJP)nbtri.o
 	rm -f $(SOPHYALIBP)libNTools.a
  
-$(SOPHYALIBP)libNTools.a : $(SOPHYAOBJP)cimage.o $(SOPHYAOBJP)cspline.o $(SOPHYAOBJP)datatypes.o $(SOPHYAOBJP)dates.o $(SOPHYAOBJP)datime.o $(SOPHYAOBJP)difeq.o $(SOPHYAOBJP)dynccd.o $(SOPHYAOBJP)fct1dfit.o $(SOPHYAOBJP)fct2dfit.o $(SOPHYAOBJP)fftmayer_r4.o $(SOPHYAOBJP)fftmayer_r8.o $(SOPHYAOBJP)fftmserver.o $(SOPHYAOBJP)fftpackc.o $(SOPHYAOBJP)fftpserver.o $(SOPHYAOBJP)fftservintf.o $(SOPHYAOBJP)FSAppIrrSmpl.o $(SOPHYAOBJP)functab.o $(SOPHYAOBJP)generaldata.o $(SOPHYAOBJP)generalfit.o $(SOPHYAOBJP)generalfunc.o $(SOPHYAOBJP)integ.o $(SOPHYAOBJP)matxop.o $(SOPHYAOBJP)median.o $(SOPHYAOBJP)nbmath.o $(SOPHYAOBJP)nbtri.o $(SOPHYAOBJP)ntoolsinit.o $(SOPHYAOBJP)objfitter.o $(SOPHYAOBJP)perandom.o $(SOPHYAOBJP)poly.o $(SOPHYAOBJP)rk4cdifeq.o $(SOPHYAOBJP)simplesort.o $(SOPHYAOBJP)simplex.o $(SOPHYAOBJP)tabmath.o $(SOPHYAOBJP)toeplitzMatrix.o
+$(SOPHYALIBP)libNTools.a : $(SOPHYAOBJP)cimage.o $(SOPHYAOBJP)cspline.o $(SOPHYAOBJP)datatypes.o $(SOPHYAOBJP)dates.o $(SOPHYAOBJP)datime.o $(SOPHYAOBJP)difeq.o $(SOPHYAOBJP)dynccd.o $(SOPHYAOBJP)fct1dfit.o $(SOPHYAOBJP)fct2dfit.o $(SOPHYAOBJP)fftmayer_r4.o $(SOPHYAOBJP)fftmayer_r8.o $(SOPHYAOBJP)fftmserver.o $(SOPHYAOBJP)fftpackc.o $(SOPHYAOBJP)fftpserver.o $(SOPHYAOBJP)fftservintf.o $(SOPHYAOBJP)FSAppIrrSmpl.o $(SOPHYAOBJP)functab.o $(SOPHYAOBJP)generaldata.o $(SOPHYAOBJP)generalfit.o $(SOPHYAOBJP)generalfunc.o $(SOPHYAOBJP)integ.o $(SOPHYAOBJP)matxop.o $(SOPHYAOBJP)median.o $(SOPHYAOBJP)nbmath.o $(SOPHYAOBJP)nbtri.o $(SOPHYAOBJP)ntoolsinit.o $(SOPHYAOBJP)objfitter.o $(SOPHYAOBJP)perandom.o $(SOPHYAOBJP)poly.o $(SOPHYAOBJP)rk4cdifeq.o $(SOPHYAOBJP)simplesort.o $(SOPHYAOBJP)simplex.o $(SOPHYAOBJP)slinparbuff.o $(SOPHYAOBJP)tabmath.o $(SOPHYAOBJP)toeplitzMatrix.o
 	$(AR) $(ARFLAGS) $@ $? 
 	touch $(SOPHYAINCP)/SophyaConfInfo/libsophya.objlist
@@ -39,5 +39,6 @@
   $(SOPHYAINCP)matharr.h \
   $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)sopemtx.h fftservintf.h \
+  $(SOPHYAINCP)sopemtx.h \
+  $(SOPHYAINCP)arrctcast.h fftservintf.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)tmatrix.h \
@@ -640,4 +641,10 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  simplex.cc
  
+$(SOPHYAOBJP)slinparbuff.o: slinparbuff.cc \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h slinparbuff.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  slinparbuff.cc
+ 
 $(SOPHYAOBJP)tabmath.o: tabmath.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h tabmath.h peida.h \
@@ -677,5 +684,6 @@
   $(SOPHYAINCP)matharr.h \
   $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)sopemtx.h fftservintf.h \
+  $(SOPHYAINCP)sopemtx.h \
+  $(SOPHYAINCP)arrctcast.h fftservintf.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)tmatrix.h \
Index: /trunk/SophyaLib/NTools/datatypes.cc
===================================================================
--- /trunk/SophyaLib/NTools/datatypes.cc	(revision 3571)
+++ /trunk/SophyaLib/NTools/datatypes.cc	(revision 3572)
@@ -9,5 +9,5 @@
 
 /* Nouvelle-Fonction */
-char * DataName(PBaseDataTypes typ)
+const char * DataName(PBaseDataTypes typ)
 {
 switch (typ)
@@ -33,5 +33,5 @@
 
 /* Nouvelle-Fonction */
-char * DataLongName(PBaseDataTypes typ)
+const char * DataLongName(PBaseDataTypes typ)
 {
 switch (typ)
Index: /trunk/SophyaLib/NTools/datatypes.h
===================================================================
--- /trunk/SophyaLib/NTools/datatypes.h	(revision 3571)
+++ /trunk/SophyaLib/NTools/datatypes.h	(revision 3572)
@@ -23,6 +23,6 @@
 inline PBaseDataTypes DataType(r_8)    {return kr_8;}
 
-char * DataName(PBaseDataTypes);
-char * DataLongName(PBaseDataTypes);
+const char * DataName(PBaseDataTypes);
+const char * DataLongName(PBaseDataTypes);
 int    DataSize(PBaseDataTypes);
 
Index: /trunk/SophyaLib/NTools/dates.cc
===================================================================
--- /trunk/SophyaLib/NTools/dates.cc	(revision 3571)
+++ /trunk/SophyaLib/NTools/dates.cc	(revision 3572)
@@ -39,5 +39,5 @@
 TimeZone::TimeZone()
 {
-  char* p = getenv("ACQ_TZ");
+  const char* p = getenv("ACQ_TZ");
 #if defined(__DECCXX) || defined(__KCC__) || defined(__aCC__)
   if (!p) p = const_cast<char *>("France");
Index: /trunk/SophyaLib/NTools/functab.cc
===================================================================
--- /trunk/SophyaLib/NTools/functab.cc	(revision 3571)
+++ /trunk/SophyaLib/NTools/functab.cc	(revision 3572)
@@ -53,8 +53,8 @@
   Dx = (r_8)(XMax-XMin)/(r_8)(NTab-1);
   Tabul = new r_8[NTab+2];
-  for(int_4 i=0;i<NTab+2;i++) Tabul[i] = 0.;
+  for(uint_4 i=0;i<NTab+2;i++) Tabul[i] = 0.;
   PInterpL = PInterpP[0] = PInterpP[1] = NULL;
   if(!Tabul) return;
-  for(int_4 i=0;i<NTab;i++) Tabul[i+1] = func(XMin + i*Dx);
+  for(uint_4 i=0;i<NTab;i++) Tabul[i+1] = func(XMin + i*Dx);
   Tabul[0] = Tabul[1];
   Tabul[NTab+1] = Tabul[NTab];
@@ -106,5 +106,5 @@
     if(PInterpL) delete [] PInterpL;
     PInterpL = new r_8[NTab+2];
-    for(int_4 i=0;i<NTab+1;i++)
+    for(uint_4 i=0;i<NTab+1;i++)
       PInterpL[i] = (Tabul[i+1]-Tabul[i])/Dx;
     PInterpL[NTab+1] = 0.;
@@ -116,5 +116,5 @@
     PInterpP[0] = new r_8[NTab+2];
     PInterpP[1] = new r_8[NTab+2];
-    for(int_4 i=1;i<=NTab;i++) {
+    for(uint_4 i=1;i<=NTab;i++) {
       PInterpP[0][i] = (Tabul[i+1]+Tabul[i-1]-2.*Tabul[i])/(2.*Dx*Dx);
       PInterpP[1][i] = (Tabul[i+1]-Tabul[i-1])/(2.*Dx);
Index: /trunk/SophyaLib/NTools/generalfit.cc
===================================================================
--- /trunk/SophyaLib/NTools/generalfit.cc	(revision 3571)
+++ /trunk/SophyaLib/NTools/generalfit.cc	(revision 3572)
@@ -279,5 +279,5 @@
   Pour ecrire les iterations dans le fichier filename
 */
-void GeneralFit::WriteStep(char *filename)
+void GeneralFit::WriteStep(const char *filename)
 {
 
Index: /trunk/SophyaLib/NTools/generalfit.h
===================================================================
--- /trunk/SophyaLib/NTools/generalfit.h	(revision 3571)
+++ /trunk/SophyaLib/NTools/generalfit.h	(revision 3572)
@@ -53,5 +53,5 @@
   ~GeneralFit();
 
-  void            WriteStep(char *filename = NULL);
+  void            WriteStep(const char *filename = NULL);
   void            SetDebug(int level = 0);
   void            SetMaxStep(int n = 100);
Index: /trunk/SophyaLib/NTools/ntools.h
===================================================================
--- /trunk/SophyaLib/NTools/ntools.h	(revision 3571)
+++ /trunk/SophyaLib/NTools/ntools.h	(revision 3572)
@@ -15,4 +15,5 @@
 #include "poly.h"
 #include "datatypes.h"
+#include "slinparbuff.h"
 
 #include "cimage.h"
Index: /trunk/SophyaLib/NTools/objlist.list
===================================================================
--- /trunk/SophyaLib/NTools/objlist.list	(revision 3571)
+++ /trunk/SophyaLib/NTools/objlist.list	(revision 3572)
@@ -31,4 +31,5 @@
 simplesort.o
 simplex.o
+slinparbuff.o
 tabmath.o
 toeplitzMatrix.o
Index: /trunk/SophyaLib/NTools/pclassids.h
===================================================================
--- /trunk/SophyaLib/NTools/pclassids.h	(revision 3571)
+++ /trunk/SophyaLib/NTools/pclassids.h	(revision 3572)
@@ -30,5 +30,4 @@
    ClassId_HistoErr = 0x0204,
    ClassId_NTuple   = 0x0210,
-   ClassId_XNTuple  = 0x0211,
 
    ClassId_GeneralFitData  = 0x0290,
Index: /trunk/SophyaLib/NTools/poly.cc
===================================================================
--- /trunk/SophyaLib/NTools/poly.cc	(revision 3571)
+++ /trunk/SophyaLib/NTools/poly.cc	(revision 3572)
@@ -710,5 +710,5 @@
 Poly2& Poly2::operator *= (double a)
 {
-  for (uint_4 i=0; i<NElts(); i++) Element(i) *= a;
+  for (int_4 i=0; i<NElts(); i++) Element(i) *= a;
   return *this;
 }
Index: /trunk/SophyaLib/NTools/simplex.cc
===================================================================
--- /trunk/SophyaLib/NTools/simplex.cc	(revision 3571)
+++ /trunk/SophyaLib/NTools/simplex.cc	(revision 3572)
@@ -366,5 +366,5 @@
   int ilo, ihi, inhi;
   int move = 0;
-  char* smov[6] = { "None", "Reflection", "ReflecExpand", "ContractHigh", "ContractLow", "ExpandHigh" };
+  const char* smov[6] = { "None", "Reflection", "ReflecExpand", "ContractHigh", "ContractLow", "ExpandHigh" };
   int movcnt[6] = {0,0,0,0,0,0};
 
@@ -511,5 +511,5 @@
 int MinZSimplex::StopReason(string& s)
 {
-  char* sr[5] = { "NoConverg, MaxIterReached", "OK, fm<Tol0", "OK, Df/f<Tol1", 
+  const char* sr[5] = { "NoConverg, MaxIterReached", "OK, fm<Tol0", "OK, Df/f<Tol1", 
 		  "OK, [Df/f max]Iter<Tol2" "Error - Wrong StopReason" };
   int stop = mStop;
